/*global fetch checkStatus */
// The secret code is not in the javascript, but instead in the PHP
// so viewing the javascript code doesn't help guess the pass code
"use strict";
(function(){
    
    function $(id){ return document.getElementById(id) }
    
    window.onload = function(){
        $("getTreasureBtn").onclick = getTreasureInfo;
    };
     
    // event handler for clicking the getTreasure button   
    function getTreasureInfo(){
        let userSecretCode = document.getElementById("secretCode").value;
        
        //make a POST ajax call including the secret code the user entered
        let url = "treasureInfo.php"; // put url string here

        let data =  new FormData();
        data.append("secretCode", userSecretCode);
    
        fetch(url, {method: "POST", body: data, credentials: "include"}) // include credentials for cloud9
           .then(checkStatus)
           .then(function(responseText) {
                $("response").innerHTML = responseText;
            })
           .catch(function(error) {
               alert(error);
           });
    }
    
})();